# Test that userland programs can be debugged symbolically.
# This test is only expected to pass on builds with debug symbols.

from bracket import make_sh_test_op

def op():
    return make_sh_test_op('gdb_symbols_test',
'''
set -x
cat <<EOF >test.gdb
info functions main
EOF
gdb --batch -x test.gdb /bin/sh >gdb.out
cat gdb.out
grep "File" gdb.out
''')
